Name: namespaced-wireguard-vpn
Version: 0.1.git.25.9c6b23b6
Release: 1%{?dist}
Summary: Systemd configuration for a network namespace containing a WireGuard VPN connection

License: MIT
VCS: git+https://github.com/chrisbouchard/namespaced-wireguard-vpn.git#9c6b23b65d14b556b95ffd4ed78f84883f241402:

Source: namespaced-wireguard-vpn-9c6b23b6.tar.gz

BuildRequires: systemd-rpm-macros
Requires: bash, findutils, iproute, systemd, wireguard-tools

BuildArch: noarch

%description
This package contains configuration for Systemd to create and manage a network
namespace containing a WireGuard VPN connection.

namespaced-wireguard-vpn.target:
  namespaced-wireguard-vpn-netns.service:
    Creates the network namespace
  namespaced-wireguard-vpn-interface.service:
    Creates the WireGuard connection and moves it into the namespace
  namespaced-wireguard-vpn-tunnel.service:
    Creates a Veth tunnel into the namespace

%prep
%setup -T -b 0 -q -n namespaced-wireguard-vpn

%install
install --mode=755 --directory %{buildroot}%{_sbindir}
install --mode=755 --target-directory=%{buildroot}%{_sbindir} bin/*

install --mode=700 --directory %{buildroot}%{_sysconfdir}/%{name}
install --mode=600 --target-directory=%{buildroot}%{_sysconfdir}/%{name} conf/*

install --mode=755 --directory %{buildroot}%{_unitdir}
install --mode=644 --target-directory=%{buildroot}%{_unitdir} systemd/*

%post
%systemd_post namespaced-wireguard-vpn.target

%preun
%systemd_preun namespaced-wireguard-vpn.target

%postun
%systemd_postun namespaced-wireguard-vpn.target

%files
%license LICENSE
%{_sbindir}/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_unitdir}/*

%changelog
* Wed Mar 17 2021 Chris Bouchard <chris@upliftinglemma.net> 0.1-1
- Initial release with basic functionality

# vim: syntax=spec
